Threat Encyclopedia

TightVNC.Viewer.FramebufferUpdate.Handling.Buffer.Overflow

description-logoDescription

This indicates an attack attempt to exploit a Buffer Overflow Vulnerability in TightVNC.
The vulnerability is due to the application improper handling of messages. A remote attacker could exploit this to execute arbitrary code within the context of the application, via a crafted message.

affected-products-logoAffected Products

TightVNC Viewer prior to 2.8.63

Impact logoImpact

System Compromise: Remote attackers can gain control of vulnerable systems.

recomended-action-logoRecommended Actions

TightVNC has not released an advisory or patch regarding this vulnerability.

CVE References

CVE-2021-42785

Telemetry logoTelemetry